Skip to main content
POST
/
api
/
v1
/
folders
/
rename
/
{folderNo}
curl --request POST \
  --url 'https://upload.autorender.io/api/v1/folders/rename/53855hxPoq' \
  --header 'Authorization: Bearer YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "demo2"
}'
{
  "id": "f3b738aa-c8f7-480d-a861-f5c5895f258b",
  "folder_no": "53855hxPoq",
  "name": "demo2",
  "parent_folder": "84248393-8f6c-4f33-995d-16cf9c738424",
  "workspace_id": "4328e3bf-8252-4f07-a0ec-b3265ffe1552",
  "workspace_no": "FWA7PWC7LZ",
  "is_delete": false,
  "is_active": true,
  "created_by": "27d7fa01-2cd1-4326-9f56-015af7df06e1",
  "created_at": "2026-03-27T15:21:40.693Z",
  "updated_at": "2026-03-27T16:01:38.284Z",
  "source": "app",
  "path": "demo_nested_folder/demo2",
  "workspace": {
    "workspace_no": "FWA7PWC7LZ"
  }
}

Documentation Index

Fetch the complete documentation index at: https://autorender.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

curl --request POST \
  --url 'https://upload.autorender.io/api/v1/folders/rename/53855hxPoq' \
  --header 'Authorization: Bearer YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "demo2"
}'
{
  "id": "f3b738aa-c8f7-480d-a861-f5c5895f258b",
  "folder_no": "53855hxPoq",
  "name": "demo2",
  "parent_folder": "84248393-8f6c-4f33-995d-16cf9c738424",
  "workspace_id": "4328e3bf-8252-4f07-a0ec-b3265ffe1552",
  "workspace_no": "FWA7PWC7LZ",
  "is_delete": false,
  "is_active": true,
  "created_by": "27d7fa01-2cd1-4326-9f56-015af7df06e1",
  "created_at": "2026-03-27T15:21:40.693Z",
  "updated_at": "2026-03-27T16:01:38.284Z",
  "source": "app",
  "path": "demo_nested_folder/demo2",
  "workspace": {
    "workspace_no": "FWA7PWC7LZ"
  }
}

Overview

POST /api/v1/folders/rename/{folderNo} sets a new name for the folder and returns the full folder record (path, workspace, timestamps, etc.).

Path parameters

ParameterDescription
folderNoFolder number to rename

Request body

FieldTypeRequiredDescription
namestringYesNew folder name

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

folderNo
string
required
Example:

"53855hxPoq"

Body

application/json
name
string
required

Response

Updated folder record

id
string<uuid>
folder_no
string
name
string
parent_folder
string | null
workspace_id
string<uuid>
workspace_no
string
is_delete
boolean
is_active
boolean
created_by
string<uuid>
created_at
string<date-time>
updated_at
string<date-time>
source
string
path
string
workspace
object